Bug 360311 - kernel dm: panic on shrinking device size
kernel dm: panic on shrinking device size
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
medium Severity high
: ---
: ---
Assigned To: Milan Broz
Martin Jenner
:
Depends On:
Blocks: 430698
  Show dependency treegraph
 
Reported: 2007-10-31 10:43 EDT by Milan Broz
Modified: 2013-02-28 23:05 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2007-10-31 10:43:15 EDT
+++ This bug was initially created as a clone of Bug #360151 +++
RHEL4 clone

Description of problem:

Shrinking device size with outstanding io requests can cause kernel panic.

See Jun'ichi Nomura's patch proposal http://lkml.org/lkml/2007/10/30/432

Unable to handle kernel NULL pointer dereference at virtual address 0000001c
 printing eip:
d090e7ba
*pde = 0939f067
Oops: 0000 [#1]
Modules linked in: loop md5 ipv6 parport_pc lp parport autofs4 i2c_dev i2c_core
nfs lockd nfs_acl sunrpc ipt_REJECT ipt_state ip_conntrack iptable_filter
ip_tables button battery ac pcnet32 mii floppy dm_snapshot dm_zero dm_mirror
ext3 jbd dm_mod ata_piix libata mptscsih mptsas mptspi mptfc mptscsi mptbase
sd_mod scsi_mod
CPU:    0
EIP:    0060:[<d090e7ba>]    Not tainted VLI
EFLAGS: 00010202   (2.6.9-64.EL)
EIP is at __map_bio+0x34/0x236 [dm_mod]
eax: d09e00b8   ebx: 00000000   ecx: c93e8f54   edx: c93f6580
esi: d09e00b8   edi: c93f6580   ebp: c93e8f4c   esp: c94a8e80
ds: 007b   es: 007b   ss: 0068
Process dmsetup (pid: 3710, threadinfo=c94a8000 task=cc9d20f0)
Stack: 00000007 00000007 00000007 00000000 cfec7e10 c94a8f00 d090ed86 00000000
       00000200 00000007 cb4b5920 00000000 00000200 cfec7e10 c94a8ed8 00000000
       c03c0000 00000046 00000001 00000000 c93e8f4c ffffffff ffffffff 00000007
Call Trace:
 [<d090ed86>] __clone_and_map+0x2cc/0x311 [dm_mod]
 [<d090ee76>] __split_bio+0xab/0x22b [dm_mod]
 [<d090fbc1>] __bind+0x59/0x61 [dm_mod]
 [<d090fe8f>] __flush_deferred_io+0x19/0x20 [dm_mod]
 [<d0910545>] dm_resume+0xb3/0x109 [dm_mod]
 [<d091311f>] do_resume+0x194/0x1b5 [dm_mod]
 [<d0914222>] ctl_ioctl+0xd9/0x13c [dm_mod]
 [<d0913140>] dev_suspend+0x0/0x10 [dm_mod]
 [<c01817e9>] sys_ioctl+0x297/0x336
 [<c031d8df>] syscall_call+0x7/0xb
Code: 53 53 53 83 7a 20 00 75 08 0f 0b 12 02 be 65 91 d0 c7 47 34 87 e4 90 d0 89
6f 3c 8b 45 00 ff 40 0c 8b 5e 04 89 f0 8d 4d 08 89 fa <ff> 53 1c 83 f8 01 89 c6
75 0d 89 f8 5f 5d 5b 5e 5f 5d e9 2d de
Comment 1 RHEL Product and Program Management 2007-10-31 10:45:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jason Baron 2007-12-07 16:55:46 EST
committed in stream U7 build 68.3. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 8 errata-xmlrpc 2008-07-24 15:19:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.